singleton CubemapData( RangeRoverCubicShadow )
{
   cubeFace[0] = "vehicles/RangeRover/RangeRoverCubicShadow_1";
   cubeFace[1] = "vehicles/RangeRover/RangeRoverCubicShadow_2";
   cubeFace[2] = "vehicles/RangeRover/RangeRoverCubicShadow_3";
   cubeFace[3] = "vehicles/RangeRover/RangeRoverCubicShadow_4";
   cubeFace[4] = "vehicles/RangeRover/RangeRoverCubicShadow_5";
   cubeFace[5] = "vehicles/RangeRover/RangeRoverCubicShadow_6";
};

singleton Material(rangerover_tire)
{
   mapTo = "rangerover_tire";
   diffuseMap[0] = "RangeRover_Tire";
   specular[0] = "0.08 0.08 0.08 1";
   specularPower[0] = "128";
   translucentBlendOp = "None";
};

singleton Material(rangerover_wheel)
{
   mapTo = "rangerover_wheel";
   diffuseMap[0] = "RangeRover_Wheel";
   pixelSpecular[1] = "1";
   specular[1] = "1 1 1 1";
   specularPower[1] = "1";
   cubemap = "RangeRoverCubicShadow";
   diffuseColor[1] = "1 1 1 1";
   diffuseMap[1] = "RangeRover_Wheel";
   useAnisotropic[1] = "1";
   materialTag0 = "Auriga";
};

singleton Material(rangerover_plastic)
{
   mapTo = "rangerover_plastic";
   pixelSpecular[1] = "1";
   specular[1] = "0.1 0.1 0.1 1";
   specularPower[1] = "1";
   cubemap = "RangeRoverCubicShadow";
   diffuseColor[1] = "0.12 0.12 0.12 1";
   diffuseMap[1] = "vehicles/rangerover/RangeRover_spec.dds";
   useAnisotropic[1] = "1";
   materialTag0 = "Auriga";
};

singleton Material(rangerover_main)
{
   mapTo = "rangerover_main";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";   
   diffuseColor[1] = "0.97 0 0.03 0.75";
   specularPower[0] = "16";
   specularPower[1] = "16";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";   
};

singleton Material(rangerover_wind)
{
   mapTo = "rangerover_wind";
   diffuseMap[0] = "vehicles/RangeRover/RangeRover_Winds_d.dds";
   specularMap[0] = "vehicles/RangeRover/RangeRover_Winds_s.dds";

   diffuseMap[1] = "vehicles/RangeRover/RangeRover_Winds_da.dds";
   specularMap[1] = "vehicles/RangeRover/RangeRover_Winds_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rangerover_windint)
{
   mapTo = "rangerover_windint";
   diffuseMap[0] = "vehicles/RangeRover/RangeRover_Winds_d.dds";
   specularMap[0] = "vehicles/RangeRover/RangeRover_Winds_s.dds";

   diffuseMap[1] = "vehicles/RangeRover/RangeRover_Winds_da.dds";
   specularMap[1] = "vehicles/RangeRover/RangeRover_Winds_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rangerover_axles)
{
   mapTo = "rangerover_axles";
   diffuseMap[0] = "vehicles/rangerover/ABC_93hiluxSAS1.dds";
   pixelSpecular[1] = "1";
   specular[1] = "1 1 1 1";
   specularPower[1] = "1";
   cubemap = "RangeRoverCubicShadow";
   diffuseColor[1] = "1 1 1 1";
   diffuseMap[1] = "vehicles/rangerover/ABC_93hiluxSAS1.dds";
   useAnisotropic[1] = "1";
   materialTag0 = "Auriga";
   
};

singleton Material(rangerover_badging)
{
   mapTo = "rangerover_badging";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";   
   diffuseColor[1] = "0.58 0.58 0.58 0.5";
   specularPower[0] = "16";
   specularPower[1] = "16";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; 
};

singleton Material(rangerover_interior)
{
   mapTo = "rangerover_interior";
   pixelSpecular[1] = "1";
   specular[1] = "0.4 0.4 0.4 1";
   specularPower[1] = "1";
   cubemap = "RangeRoverCubicShadow";
   diffuseColor[1] = "0.3 0.3 0.3 1";
   diffuseMap[1] = "vehicles/rangerover/RangeRover_spec.dds";
   useAnisotropic[1] = "1";
   materialTag0 = "Auriga";
};

singleton Material(rangerover_lights)
{
   mapTo = "rangerover_lights";
   diffuseMap[0] = "RangeRover_lights";
   pixelSpecular[1] = "1";
   specular[1] = "1 1 1 1";
   specularPower[1] = "1";
   cubemap = "RangeRoverCubicShadow";
   diffuseColor[1] = "1 1 1 1";
   diffuseMap[1] = "RangeRover_lights";
   useAnisotropic[1] = "1";
   materialTag0 = "Auriga";
};

singleton Material(rangerover_chassis)
{
   mapTo = "rangerover_chassis";
   pixelSpecular[1] = "1";
   specular[1] = "1 1 1 1";
   specularPower[1] = "1";
   cubemap = "RangeRoverCubicShadow";
   diffuseColor[1] = "0.18 0.18 0.18 1";
   diffuseMap[1] = "vehicles/rangerover/RangeRover_spec.dds";
   useAnisotropic[1] = "1";
   materialTag0 = "Auriga";
};


